a java runtime environment(JRE) or java development kit(jdk) must be available in order to run STS4. No Java virtual machine was found after searching the following locations

a java runtime environment(JRE) or java development kit(jdk) must be available in order to run STS4. No Java virtual machine was found after searching the following locations

Java17とSTSとLombokの環境構築していたらSTS起動時にこんなエラーが出てしまいました。

a java runtime environment(JRE) or java adevelopment kit(jdk) must be aveilable in order to run STS4. No Java virtual machine was found after searching the following locations

Lombok.jarのバージョンは1.18.22。changelogには「PLATFORM: JDK17 support added.」と記載がある。

別の場所でSTSをもう一度展開してみたら、ちゃんと起動する。

なぜか「インストール済みのJRE」が全然変な場所を見ていたのでJava17をインストールした場所に変更しLombok.jarを適用したら正常起動するようになりました。

  • このエントリーをはてなブックマークに追加
  • Evernoteに保存Evernoteに保存

コメントをどうぞ

メールアドレスが公開されることはありません。

CAPTCHA